import { useAjax } from '@/Hook/useAjax'
import { getAdProfitAjax, AdProfit, getxcxAllAjax } from '@/services/operating/adCensus'

export default function useAdCensus() {
    const getAdProfit = useAjax((params: AdProfit) => getAdProfitAjax(params), { formatResult: true })
    const getxcxAll = useAjax(() => getxcxAllAjax(), { formatResult: true })

    return {
        getAdProfit,
        getxcxAll
    }
}